Re: [PATCHv2] Make difftool.prompt fall back to mergetool.prompt

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



On Jan 22, 2010, at 9:58 AM, Junio C Hamano <gitster@xxxxxxxxx> wrote:

Sebastian Schuberth <sschuberth@xxxxxxxxx> writes:

The documentation states that "git-difftool falls back to git- mergetool config variables when the difftool equivalents have not been defined".
Until now, this was not the case for "difftool.prompt".

Signed-off-by: Sebastian Schuberth <sschuberth@xxxxxxxxx>

David, does this look ok? It seems to match the discussion between you I
saw yesterday, but just checking to make sure (if "yes" please Ack).

Acked-by: David Aguilar <davvid@xxxxxxxxx>

I would like to see a testcase to ensure we don't break it in the future, though.

Thanks Sebastian, Junio.

Sebastian, I you don't send a test I'll try to send one tonight.



Is it Ok that today I see only this patch not two-patch series on the
topic (iow, has the other patch been withdrawn)?  I didn't folow the
discussion very closely.

Thanks.

---
git-difftool--helper.sh |    3 ++-
1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/git-difftool--helper.sh b/git-difftool--helper.sh
index 57e8e32..3438aba 100755
--- a/git-difftool--helper.sh
+++ b/git-difftool--helper.sh
@@ -12,7 +12,8 @@ TOOL_MODE=diff
# difftool.prompt controls the default prompt/no-prompt behavior
# and is overridden with $GIT_DIFFTOOL*_PROMPT.
should_prompt () {
-    prompt=$(git config --bool difftool.prompt || echo true)
+    prompt_merge=$(git config --bool mergetool.prompt || echo true)
+ prompt=$(git config --bool difftool.prompt || echo $prompt_merge)
   if test "$prompt" = true; then
       test -z "$GIT_DIFFTOOL_NO_PROMPT"
   else
--
1.6.6.265.ga0f40
--
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html

[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]